// NDRReport.cpp : implementation file
//

#include "stdafx.h"
#include "ComNdrInspector.h"
#include "NDRReport.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNDRReport dialog


CNDRReport::CNDRReport(CWnd* pParent /*=NULL*/)
	: CDialog(CNDRReport::IDD, pParent)
{
	//{{AFX_DATA_INIT(CNDRReport)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CNDRReport::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CNDRReport)
	DDX_Control(pDX, IDC_REPORT, m_wndReport);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CNDRReport, CDialog)
	//{{AFX_MSG_MAP(CNDRReport)
	ON_WM_CLOSE()
	ON_WM_SIZE()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNDRReport message handlers

void CNDRReport::OnClose() 
{
	ShowWindow( SW_HIDE );
}

void CNDRReport::OnSize(UINT nType, int cx, int cy) 
{
	// base impl.
	CDialog::OnSize(nType, cx, cy);

	// resize.
	RecalcLayout ();

	// return.
	return;
}

VOID CNDRReport::RecalcLayout ()
{
	if ( m_wndReport.GetSafeHwnd () == NULL )
		return;

	// resize.

	CRect		rect;
	GetClientRect( & rect );

	m_wndReport.SetWindowPos( NULL,
		0, 0,
		rect.Width(), rect.Height(),
		SWP_NOACTIVATE | SWP_NOZORDER );

	// return.

	return;
}

BOOL CNDRReport::PreTranslateMessage(MSG* pMsg) 
{
	if ( pMsg->message == WM_KEYDOWN &&
		pMsg->wParam == VK_ESCAPE )
	{
		OnClose ();
		return TRUE;
	}
	
	return CDialog::PreTranslateMessage(pMsg);
}

BOOL CNDRReport::OnInitDialog() 
{
	CDialog::OnInitDialog();

	// set window font.

	LOGFONT lf;
	memset (&lf, 0, sizeof (LOGFONT));

	lf.lfCharSet = DEFAULT_CHARSET;
	lf.lfHeight = -11;
	lf.lfWeight = 400;

	_tcscpy (lf.lfFaceName, _T("Courier"));

	m_fntFont.CreateFontIndirect(&lf);
	m_wndReport.SetFont( & m_fntFont, FALSE );
	
	// recalc layout.

	RecalcLayout ();

	// return.
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
