// stdafx.cpp : source file that includes just the standard includes
//	ComNdrInspector.pch will be the pre-compiled header
//	stdafx.obj will contain the pre-compiled type information

#include "stdafx.h"

void TrimAtBothSides( charstring& csString )
{
	int		i, iStart = 0, iEnd = 0;

	for ( i=0; i<csString.size(); i++ )
		if ( csString[ i ] == ' ' )
			iStart ++;
		else
			break;

	for ( i=csString.size()-1; i>=0; i-- )
		if ( csString[ i ] == ' ' )
			iEnd ++;
		else
			break;

	if ( iStart || iEnd )
		csString = csString.substr( iStart, csString.size() - iEnd - iStart );

	return;
}

BOOL CharStrToGuid( CHAR* pszGuid, GUID* pOutput )
{
	CHAR*		pszName = ::_strdup( pszGuid );

	// convert the GUID to a string (in a quicker way than CLSIDFromString...)

	CHAR*		pszStart = pszName;
	while( * pszStart == '{' || * pszStart == ' ' )
		pszStart ++;

	CHAR*		pszEnd = & pszName[ ::strlen( pszName ) - 1 ];
	while( pszEnd >= pszStart && ( * pszEnd == '}' || * pszEnd == ' ' ) )
		pszEnd --;

	* ( pszEnd + 1 ) = '\0';

	if ( ::strlen( pszStart ) == 36 &&
		pszStart[ 8 ] == '-' && pszStart[ 13 ] == '-' && pszStart[ 18 ] == '-' && pszStart[ 23 ] == '-' )
	{
		pszStart[ 8 ] = '\0';
		pszStart[ 13 ] = '\0';
		pszStart[ 18 ] = '\0';

		GUID		guid;
		guid.Data1 = (unsigned long) ::strtoul( & pszStart [ 0 ], NULL, 16 );
		guid.Data2 = (unsigned short) ::strtoul( & pszStart [ 9 ], NULL, 16 );
		guid.Data3 = (unsigned short) ::strtoul( & pszStart [ 14 ], NULL, 16 );

		BYTE*		pb = & guid.Data4[ 7 ];
		CHAR*		pc = & pszStart[ 34 ];
		for ( int h=0; h<8; h ++ )
		{
			* ( pc + 2 ) = '\0';
			* pb = (unsigned char) ::strtoul( pc, NULL, 16 );

			pb --;
			pc -= 2;

			if ( h == 5 )
				pc --;
		}

		* pOutput = guid;
		::free( pszName );
		return TRUE;
	}

	::free( pszName );
	return FALSE;
}

charstring WideStringToCharString( widestring& wsString )
{
	size_t		nStringDim = ( wsString.size() + 1 ) * sizeof( char );
	char*		pszString = (char*) ::malloc( nStringDim );

	::WideCharToMultiByte( CP_ACP, 0,
		wsString.c_str(), -1,
		pszString, nStringDim / sizeof( char ),
		NULL, NULL );

	charstring	csStringToRet = pszString;
	::free( pszString );

	return csStringToRet;
}
